#ifndef __ac_FIRST__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1__
#define __ac_FIRST__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1__
#define __ac_FIRST_FILE__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_inc_Puma_PtrStack_h__
#ifndef __ac_have_predefined_includes__
#define __ac_have_predefined_includes__
#endif // __ac_have_predefined_includes__

#ifndef __ac_h_
#define __ac_h_
#ifdef __cplusplus
namespace AC {
  typedef const char* Type;
  enum JPType { CALL = 131072, EXECUTION = 8388608, CONSTRUCTION = 16777216, DESTRUCTION = 33554432 };
  enum Protection { PROT_NONE, PROT_PRIVATE, PROT_PROTECTED, PROT_PUBLIC };
  enum Specifiers { SPEC_NONE = 0x0 , SPEC_STATIC = 0x1, SPEC_MUTABLE = 0x2, SPEC_VIRTUAL = 0x4 };
  struct Action {
    void **_args; void *_result; void *_entity; void *_target; void *_that; void *_fptr;
    void (*_wrapper)(Action &);
    inline void trigger () { _wrapper (*this); }
  };
  struct AnyResultBuffer {};
  template <typename T> struct ResultBuffer : public AnyResultBuffer {
    struct { char _array[sizeof (T)]; } _data;
    ~ResultBuffer () { ((T&)_data).T::~T(); }
    operator T& () const { return (T&)_data; }
  };
  template <typename T, typename N> struct TL {
    typedef T type; typedef N next; enum { ARGS = next::ARGS + 1 };
  };
  struct TLE { enum { ARGS = 0 }; };
  template <typename T> struct Referred { typedef T type; };
  template <typename T> struct Referred<T &> { typedef T type; };
  template <typename TL, int I> struct Arg {
    typedef typename Arg<typename TL::next, I - 1>::Type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename TL> struct Arg<TL, 0> {
    typedef typename TL::type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename T> int ttest(...);
  template <typename T> char ttest(typename T::__TI const volatile *);
  template<typename T> struct HasTypeInfo {
    enum { RET=((sizeof(ttest<T>(0))==1)?1:0) };
  };
  template<typename T, int HAVE = HasTypeInfo<T>::RET> struct TypeInfo {
    enum { AVAILABLE = 0, BASECLASSES = 0, MEMBERS = 0, FUNCTIONS = 0,
           CONSTRUCTORS = 0, DESTRUCTORS = 0 };
    typedef T That;
  };
  template<typename T> struct TypeInfo<T, 1> : T::__TI {
    enum { AVAILABLE = 1 };
  };
  template<typename T> struct RT {};
  template<typename T> RT<T> rt_deduce (const T&) { return RT<T>(); }
  struct Cnv { template<typename T> operator RT<T>() const { return RT<T>(); }};
  #define __AC_TYPEOF(expr) (1?AC::Cnv():AC::rt_deduce(expr))
  template <class Aspect, int Index>
  struct CFlow {
    static int &instance () {
      static int counter = 0;
      return counter;
    }
    CFlow () { instance ()++; }
    ~CFlow () { instance ()--; }
    static bool active () { return instance () > 0; }
  };
}
inline void * operator new (__SIZE_TYPE__, AC::AnyResultBuffer *p) { return p; }
inline void operator delete (void *, AC::AnyResultBuffer *) { } // for VC++
#endif // __cplusplus
#endif // __ac_h_
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACTree;
class ExtGnu;
class ExtGnuCTree;
class ExtGnuKeywords;
class PragmaOnceUnitState;
class PragmaOnce;
#endif // __ac_FIRST__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1__
// This file is part of PUMA.
// Copyright (C) 1999-2015  The PUMA developer team.
//                                                                
// This program is free software;  you can redistribute it and/or 
// modify it under the terms of the GNU General Public License as 
// published by the Free Software Foundation; either version 2 of 
// the License, or (at your option) any later version.            
//                                                                
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
// GNU General Public License for more details.                   
//                                                                
// You should have received a copy of the GNU General Public      
// License along with this program; if not, write to the Free     
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
// MA  02111-1307  USA                                            

#ifndef PUMA_PtrStack_H
#define PUMA_PtrStack_H

/** \file
 * Layered pointer stack implementation. */

#include "Puma/Stack.h"
#include "Puma/BCStack.h"

namespace Puma {

/** \class PtrStack PtrStack.h Puma/PtrStack.h
 * Layered stack for pointers to objects. Each layer is a separate stack.
 * Layers can be added, dropped, or destroyed. 
 * \ingroup basics */
template<class T>
class PtrStack : private Array<T*> {
  BCStack<long, 8192> m_indices; // start indices

public:
  /** Construct a new layered stack.
   * \param size The size of each layer. Defaults to 8192.
   * \param incr The increment for the size of each layer. Defaults to 8192. */
  PtrStack(long size = 8192, long incr = 8192);
  /** Destructor. */
  virtual ~PtrStack() {
  }

  /** \name Stack operations */
  //@{
  /** Add a new item on the top of the current layer.
   * \param item The item to add. */
  void Push(const T *item);
  /** Remove the top item from the current layer. */
  void Pop();
  /** Get the top item from the current layer.
   * \return The top item, or NULL if the current layer is empty. */
  T *Top() const;
  /** Get the number of items added to the current layer.
   * \return The number of items on the current layer. */
  long Length() const;
  /** Get the n-th item on the current layer.
   * \param n The index of the item to get.
   * \return The n-th item, or NULL if the index is invalid. */
  T *Get(long n) const;
  //@}

  /** \name Layer operations */
  //@{
  /** Create a new layer. */
  void New();
  /** Remove the top layer and add its items to the underlying layer. */
  void Forget();
  /** Remove the top layer. */
  void Reject();
  /** Remove the top layer and delete its items. */
  void Destroy();
  /** Get the number of layers.
   * \return Number of the layers. */
  long Stacks() const;
  /** Remove all layers. */
  void Reset();
  //@}

protected:
  /** Remove the top item of the current layer. */
  virtual void Remove();
  /** Remove and delete the top item of the current layer. */
  virtual void Delete();

private:
  long Index() const;    // return current index
  long Bottom() const;   // return start index of current stack
#line 193 "/build/aspectc++-LotdPk/aspectc++-2.2+git20170823/Puma/gen-release/step2/inc/Puma/PtrStack.h"

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACTree;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 92 "/build/aspectc++-LotdPk/aspectc++-2.2+git20170823/Puma/gen-release/step1/inc/Puma/PtrStack.h"

#line 92 "/build/aspectc++-LotdPk/aspectc++-2.2+git20170823/Puma/gen-release/step1/inc/Puma/PtrStack.h"
};

template<class T>
inline PtrStack<T>::PtrStack(long is, long incr)
    : Array<T*>(is, incr) {
  New();
}

template<class T>
inline void PtrStack<T>::Reset() {
  m_indices.reset();
  Array<T*>::reset();
  New();
}

template<class T>
inline long PtrStack<T>::Index() const {
  return Array<T*>::length() - 1;
}

template<class T>
inline long PtrStack<T>::Bottom() const {
  return m_indices.top();
}

template<class T>
inline long PtrStack<T>::Stacks() const {
  return m_indices.length();
}

template<class T>
inline long PtrStack<T>::Length() const {
  return Index() - Bottom();
}

template<class T>
inline T *PtrStack<T>::Top() const {
  if (Length() > 0)
    return Array<T*>::lookup(Index());
  else
    return (T*) 0;
}

template<class T>
inline void PtrStack<T>::Push(const T *item) {
  this->append((T*) item);
}

template<class T>
inline void PtrStack<T>::Pop() {
  if (Length() > 0)
    Array<T*>::remove(Index());
}

template<class T>
inline T *PtrStack<T>::Get(long idx) const {
  if (Length() <= 0 || idx < 0 || (unsigned long) idx >= (unsigned long) Length())
    return (T*) 0;
  return Array<T*>::lookup(Bottom() + 1 + idx);
}

template<class T>
inline void PtrStack<T>::New() {
  m_indices.push(Index());
}

template<class T>
inline void PtrStack<T>::Forget() {
  m_indices.pop();
}

template<class T>
inline void PtrStack<T>::Reject() {
  while (Length() > 0)
    Remove();
  Forget();
}

template<class T>
inline void PtrStack<T>::Destroy() {
  while (Length() > 0) {
    Delete();
    Array<T*>::remove(Index()); // Pop()
  }
  Forget();
}

template<class T>
inline void PtrStack<T>::Remove() {
  Array<T*>::remove(Index()); // Same as Pop()
}

template<class T>
inline void PtrStack<T>::Delete() {
  T *item = Top();
  if (item)
    delete item;
}

} // namespace Puma

#endif /* PUMA_PtrStack_H */

#ifdef __ac_FIRST_FILE__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_inc_Puma_PtrStack_h__
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#include "Puma/CCExprResolveCC.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#include "Puma/CCExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#include "Puma/CExprResolveCC.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#include "Puma/CExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#include "Puma/SyntaxState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#include "Puma/CBuilderExtension.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#include "Puma/CCBuilderExtension.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#include "Puma/CCSemBinding.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#include "Puma/WinIfExists.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#include "Puma/WinImportHandler.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#include "Puma/WinMacros.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#include "Puma/ExtGnuCInfos.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#include "Puma/ExtGnuCSemantic.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#include "Puma/ExtGnuCSemExpr.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#include "Puma/ExtGnuCSemDeclSpecs.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#define __ac_have__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#include "Puma/PragmaOnce.ah"
#endif
#endif
#undef __ac_FIRST__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1__
#undef __ac_FIRST_FILE__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_inc_Puma_PtrStack_h__
#endif // __ac_FIRST_FILE__build_aspectcX43X43X45LotdPk_aspectcX43X43X452_2X43git20170823_Puma_genX45release_step1_inc_Puma_PtrStack_h__
